For the complete documentation index, see llms.txt. This page is also available as Markdown.

Basic Operations

List

get

Retrieve a list of tunneling policies.

Query parameters
siteIdinteger · int32Optional

Site ID for which to retrieve the tunneling policy (optional).

ipstringOptional

Filter the result by the gateway IP (optional).

Responses
200

OK

application/json; api-version=1.0

Tunneling Policy

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

ipstring · nullableOptional

The gateway IP of the tunneling policy.

publishTypestring · enumOptional

RD session hosts options

Possible values:
rdsHostPoolIdsinteger · int32[] · nullableOptional

The IDs of the selected RD session host pools.

rdsHostIdsinteger · int32[] · nullableOptional

The IDs of the selected individual RD session hosts.

get/api/TunnelingPolicy
GET /api/TunnelingPolicy HTTP/1.1
Accept: */*
[
  {
    "id": 1,
    "adminCreate": "text",
    "adminLastMod": "text",
    "timeCreate": "2026-01-01T00:00:00.000Z",
    "timeLastMod": "2026-01-01T00:00:00.000Z",
    "ip": "text",
    "publishType": [
      "0 = AllRDSessionHostsInSite",
      "1 = RDSessionHostPool",
      "2 = RDSessionHosts",
      "3 = None"
    ],
    "rdsHostPoolIds": [
      1
    ],
    "rdsHostIds": [
      1
    ]
  }
]

Create

post

Create a new tunneling policy.

Body

Create a new tunneling policy

ipstring · nullableRequired

The gateway IP of the tunneling policy.

publishTypestring · enumOptional

RD session hosts options

Possible values:
rdsHostPoolIdsinteger · int32[] · nullableOptional

The IDs of the selected RD session host pools.

rdsHostIdsinteger · int32[] · nullableOptional

The IDs of the selected individual RD session hosts.

Responses
201

Created

application/json; api-version=1.0

Tunneling Policy

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

ipstring · nullableOptional

The gateway IP of the tunneling policy.

publishTypestring · enumOptional

RD session hosts options

Possible values:
rdsHostPoolIdsinteger · int32[] · nullableOptional

The IDs of the selected RD session host pools.

rdsHostIdsinteger · int32[] · nullableOptional

The IDs of the selected individual RD session hosts.

post/api/TunnelingPolicy
POST /api/TunnelingPolicy HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 153

{
  "ip": "text",
  "publishType": [
    "0 = AllRDSessionHostsInSite",
    "1 = RDSessionHostPool",
    "2 = RDSessionHosts",
    "3 = None"
  ],
  "rdsHostPoolIds": [
    1
  ],
  "rdsHostIds": [
    1
  ]
}
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "ip": "text",
  "publishType": [
    "0 = AllRDSessionHostsInSite",
    "1 = RDSessionHostPool",
    "2 = RDSessionHosts",
    "3 = None"
  ],
  "rdsHostPoolIds": [
    1
  ],
  "rdsHostIds": [
    1
  ]
}

Last updated